public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Aaron Bauman" <bman@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pyxattr/
Date: Wed, 11 Dec 2019 22:03:38 +0000 (UTC)	[thread overview]
Message-ID: <1576101802.bd2a74f82b04c11147e48ce2c479eeb3d7cf24df.bman@gentoo> (raw)

commit:     bd2a74f82b04c11147e48ce2c479eeb3d7cf24df
Author:     Aaron Bauman <bman <AT> gentoo <DOT> org>
AuthorDate: Wed Dec 11 21:25:36 2019 +0000
Commit:     Aaron Bauman <bman <AT> gentoo <DOT> org>
CommitDate: Wed Dec 11 22:03:22 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bd2a74f8

dev-python/pyxattr: bump to 0.7.1

* Major ebuild rewrite relying more on distutils
* Upstream dropped Py2 support
* Fix subslot on sys-apps/attr

Closes: https://github.com/gentoo/gentoo/pull/13952

Reviewed-by: David Seifert <soap <AT> gentoo.org>
Reviewed-by: Michał Górny <mgorny <AT> gentoo.org>
Reviewed-by: Patrick McLean <chutzpah <AT> gentoo.org>
Signed-off-by: Aaron Bauman <bman <AT> gentoo.org>

 dev-python/pyxattr/Manifest             |  1 +
 dev-python/pyxattr/pyxattr-0.7.1.ebuild | 32 ++++++++++++++++++++++++++++++++
 2 files changed, 33 insertions(+)

diff --git a/dev-python/pyxattr/Manifest b/dev-python/pyxattr/Manifest
index 8ed6308474a..2ce600f1661 100644
--- a/dev-python/pyxattr/Manifest
+++ b/dev-python/pyxattr/Manifest
@@ -1,2 +1,3 @@
 DIST pyxattr-0.6.0.tar.gz 31057 BLAKE2B cf6e99c499dbcc74305970413803e5cf59508e7ee1bf247afe42e576c2dfaf118a374ad6f8721b9d9c482f8be0c222d26b82997dc1ccc79248d5f52b2064ed8d SHA512 c56bf57729b5f8c8e3e19e29fd903b7365c6644abe3dcebf57ffc2f97a1e92d0e22cdc0a967c5abee3a74ba61a2a379e31a1734f45449095bdb7895b8357a9bb
 DIST pyxattr-0.6.1.tar.gz 32105 BLAKE2B 0334d056ea652492fcc7958e0caf0ec438253e287c3f2ee663c0eb059fad5f01bba02963fc90035f84c129e19ee08e11bbc5573cebef6fd7ffe5c65adddc02ab SHA512 2c2defee81e2bd7e7e7f67d33676858f27494f12ba5c3d34bd548912a058cae562e9e9ed0dc5697892d1d55c29f2a5e10455260092b63faa54e40b841c42681d
+DIST pyxattr-0.7.1.tar.gz 30580 BLAKE2B 748ce0610ebc1a074dee87dffc67a88e1def0ea467f13758d2d85f9f5c37954586d85dfb8ceb1b77f4ef637295d57a153849b00d773e2e79b06902974fe01663 SHA512 093cb3f9b9637194b9737c07da7dde45b3d5083ec16a9209af80d30c86da8f93badff5aada395415be3dd48da73004286e47d0aa0671c95e65b0492d02e86009

diff --git a/dev-python/pyxattr/pyxattr-0.7.1.ebuild b/dev-python/pyxattr/pyxattr-0.7.1.ebuild
new file mode 100644
index 00000000000..2462914d134
--- /dev/null
+++ b/dev-python/pyxattr/pyxattr-0.7.1.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Python interface to xattr"
+HOMEPAGE="https://pyxattr.k1024.org/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz
+	https://pyxattr.k1024.org/downloads/${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="sys-apps/attr:="
+DEPEND="${RDEPEND}"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx doc dev-python/recommonmark
+
+python_prepare_all() {
+	sed -i -e 's:, "-Werror"::' setup.py || die
+	# Bug 548486
+	sed -e "s:html_theme = 'default':html_theme = 'classic':" \
+		-i doc/conf.py || die
+
+	distutils-r1_python_prepare_all
+}


             reply	other threads:[~2019-12-11 22:03 UTC|newest]

Thread overview: 88+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-12-11 22:03 Aaron Bauman [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-10-27 18:02 [gentoo-commits] repo/gentoo:master commit in: dev-python/pyxattr/ Michał Górny
2023-07-15 12:29 Michał Górny
2023-07-15 11:50 Arthur Zamarin
2023-06-03 19:45 Arthur Zamarin
2023-06-03 18:26 Arthur Zamarin
2023-06-03 18:11 Arthur Zamarin
2023-06-03 18:09 Arthur Zamarin
2023-06-03 18:09 Arthur Zamarin
2023-06-03 18:02 Arthur Zamarin
2023-05-04 16:56 Michał Górny
2023-04-18  2:55 Michał Górny
2023-03-16  4:07 Michał Górny
2023-01-14  8:22 Arthur Zamarin
2023-01-14  8:21 Arthur Zamarin
2023-01-13 18:51 Arthur Zamarin
2023-01-13 18:51 Arthur Zamarin
2023-01-13 16:31 Arthur Zamarin
2023-01-13 14:50 Sam James
2023-01-13 14:50 Sam James
2023-01-13 14:50 Sam James
2022-12-14  6:31 Michał Górny
2022-08-10 13:05 Sam James
2022-08-10 13:05 Sam James
2022-02-23  8:25 Yixun Lan
2021-05-06 11:44 Michał Górny
2021-03-06 22:03 Michał Górny
2021-03-06 21:38 Sergei Trofimovich
2021-03-06 21:38 Sergei Trofimovich
2021-03-04  6:09 Sam James
2021-03-03 19:59 Sam James
2021-03-02  7:39 Sam James
2021-03-02  7:38 Sam James
2021-03-02  1:59 Sam James
2021-03-02  1:38 Sam James
2020-12-31  6:07 Sam James
2020-08-22  0:26 Matthew Thode
2020-05-27  7:45 Michał Górny
2020-05-04 11:49 Michał Górny
2020-04-24  5:52 Michał Górny
2020-04-14  7:28 Sergei Trofimovich
2020-03-25 15:27 Agostino Sarubbo
2020-03-25 13:27 Agostino Sarubbo
2020-03-25 13:12 Agostino Sarubbo
2020-03-25 12:36 Agostino Sarubbo
2020-03-25 12:23 Agostino Sarubbo
2019-11-18  9:55 Michał Górny
2019-11-18  9:55 Michał Górny
2019-11-02  4:45 Robin H. Johnson
2018-07-25  7:51 Lars Wendler
2018-07-25  7:51 Lars Wendler
2018-07-18 21:48 Michał Górny
2018-07-11 13:24 Mikle Kolyada
2018-07-01 14:41 Mikle Kolyada
2018-06-28 12:54 Mart Raudsepp
2018-06-27 22:22 Sergei Trofimovich
2018-06-27 22:15 Sergei Trofimovich
2018-06-27 21:54 Sergei Trofimovich
2018-06-27 10:05 Tobias Klausmann
2018-06-26 22:17 Sergei Trofimovich
2018-06-26  2:04 Aaron Bauman
2018-06-25 23:20 Thomas Deutschmann
2018-04-24 16:09 Michał Górny
2018-04-24 16:09 Michał Górny
2018-04-24 16:09 Michał Górny
2018-04-24 16:09 Michał Górny
2018-04-24 16:09 Michał Górny
2018-03-17 10:51 Michał Górny
2017-07-30  9:15 Michał Górny
2017-05-15 12:37 Manuel Rüger
2017-03-10 15:53 Manuel Rüger
2017-02-03  4:35 Mike Frysinger
2017-01-30 18:56 Lars Wendler
2017-01-30 18:56 Lars Wendler
2016-03-27 20:26 David Seifert
2016-03-27 20:26 David Seifert
2016-03-27 19:04 David Seifert
2016-03-17 10:50 Agostino Sarubbo
2016-02-29  8:46 Stephen Klimaszewski
2016-01-17 17:02 Agostino Sarubbo
2016-01-11  9:07 Agostino Sarubbo
2016-01-10 10:34 Agostino Sarubbo
2016-01-09 16:17 Markus Meier
2016-01-09  6:43 Agostino Sarubbo
2016-01-04  6:13 Jeroen Roovers
2016-01-03 11:54 Agostino Sarubbo
2015-10-16 15:30 Mike Frysinger
2015-10-14 13:58 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1576101802.bd2a74f82b04c11147e48ce2c479eeb3d7cf24df.bman@gentoo \
    --to=bman@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox